package com.madeu.crm.procedureReview.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.dao.DataAccessException;

import com.madeu.crm.procedureReview.dto.ProcedureReviewDTO;
import java.util.List;
import java.util.Map;

@Mapper
public interface ProcedureReviewMapper {

    List<ProcedureReviewDTO> selectTotalProcedureReviewCount(ProcedureReviewDTO paramDTO) throws DataAccessException;

    List<ProcedureReviewDTO> selectListProcedureReview(ProcedureReviewDTO paramDTO) throws DataAccessException;

    ProcedureReviewDTO selectProcedureReview(ProcedureReviewDTO paramDTO) throws DataAccessException;

    int insertProcedureReview(ProcedureReviewDTO paramDTO) throws DataAccessException;

    int updateProcedureReview(ProcedureReviewDTO paramDTO) throws DataAccessException;

    int deleteProcedureReview(ProcedureReviewDTO paramDTO) throws DataAccessException;

    List<Map<String, Object>> selectListPhotoCategory(ProcedureReviewDTO paramDTO) throws DataAccessException;

}
